<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    $idcdin = $sesion->id;    
	 extract($_POST);
     
    date_default_timezone_set("America/Mexico_City");
   $actualsS=date("Y/m/d");



     
     $qcc1 = "SELECT max(consec) from voucher  ";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
           $numv=$rrc[0];

$randi=rand(0,9);
$randi2=rand(0,9);
$nvov=$numv."".$randi.$randi2;
     $qcc1 = "SELECT observaciones from regs2 where idreg=$idregalia";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
           $observ=$rrc[0]." Voucher ".$nvov;
                      
$nvoconsec=$numv+1;
	    
	 	$qPP = "insert into voucher(idv, id_inv, total, restante, status, idcd, referencia,  observaciones, descripcion, fecha_cre, consec) values('$nvov','$idinver', '$total', '$total', '0', '$idcdin', '$idregalia','$referencia', '$descri', '$actualsS', '$nvoconsec')";
			
			
        $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP56: '. mysqli_error($conexion));


   
        $mod_v="INSERT INTO mod_voucher (idv,tipo_mov,idcd,fecha,hora,cantidad,pedido,observaciones) VALUES('$nvov','1','$dato[0]','$actualsS','$tiemp','$total','0','$idregalia')";
       try
       {mysqli_query($conexion, $mod_v);
       }
       catch(exception $e){
       echo  $e;
       }

        
        if($restante<=0){
         $qPP = "update regs2 set status='5', fechaf=curdate(), observaciones='$observ' where idreg=$idregalia";
        $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));   
            
        }
            else{
        $qPP = "update regs2 set apagar=apagar-$total, pagado=pagado-$total, observaciones='$observ' where idreg=$idregalia";
        $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
            }
echo "<table cellspacing=\"10\" cellpadding=\"10\"><tr><td>
<center>
<img src=\"voucher.gif\"><br>
            
  <br>
            <font size=\"5\"><b>Voucher No. $nvov </b></font>";
            
            echo"<br>
            <br>A favor de :<br><b>$ndist</b><br><br>
            Cantidad a Favor:<br>
            <font size=\"5\"><b>$ $total</b></font><br><br>
            <font size=\"2\">Este voucher vence a los 30 d&iacuteas de su emisi&oacute;n.
            <br>
             Este voucher ha sido generado el $fech a las $tiemp</font> </td>
          </center>   <td>
                   <center>
<img src=\"voucher.gif\"><br>
            
  <br>
            <font size=\"5\"><b>Voucher No. $nvov </b></font>";
            
            echo"<br>
            <br>A favor de :<br><b>$ndist</b><br><br>
            Cantidad a Favor:<br>
            <font size=\"5\"><b>$ $total</b></font><br><br>
            <font size=\"2\">Este voucher vence a los 30 d&iacuteas de su emisi&oacute;n.
            
            <br>
             Este voucher ha sido generado el $fech a las $tiemp </table>

            </font> </center></td></tr>
            

       ";
           
?>